%define _prefix /usr

Summary: Support library for Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-libnasl
Version: 2.0.0
Release: 3.art
Source0: %{name}-%{version}.tar.gz
License: GNU GPLv2 and GNU LGPLv2
URL: http://www.openvas.org
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
AutoReqProv: no
AutoReq: 0

BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

BuildRequires: openvas-libraries-devel >= %{version}
BuildRequires: gpgme-devel bison  libtool gnutls-devel

BuildRequires: %{_includedir}/pcap.h

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2 
# no
#BuildRequires: evolution28-gtk2 evolution28-gtk2-devel
#Requires: evolution28-gtk2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif



# ART (prime mock)
%if 0%{?el3}%{?el4}%{?fc4}
BuildRequires: libgcrypt-devel gnutls-devel
%endif

# el4 might need a glib2 update
BuildRequires: flex glib2-devel 




%package devel
Summary: Development files for openvas-libnasl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
openvas-libnasl is the NASL interpreter library
for the OpenVAS network security scanner.

%description devel
This package contains the development files (mainly C header files)
for openvas-libnasl.

%prep
%setup -b 0
#%patch0
#%patch1
#%patch2
#%patch3

%build
%if 0%{?el4}
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

libtoolize -c -f
%configure \
	--prefix=%{_prefix}
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
# for release > 1.0.0 this file should be added: CHANGES
%doc doc/signatures-howto.txt doc/nasl_guide.tex
%{_mandir}/man1/openvas-nasl.1.gz
%{_libdir}/lib*
%{_bindir}/openvas-nasl

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/
%{_bindir}/openvas-libnasl-config
%{_mandir}/man1/openvas-libnasl-config.1.gz

%changelog
* Tue Dec 30 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0-2
- Update to 2.0.0 final
- Bugfix #XXX, added libtoolize before configure

* Thu Dec 11 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to  2.0.0.rc1

* Mon Nov 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to 2.0.0.beta2

* Fri Nov 7 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- update to 2.0.0.beta1
- changes to build in ART

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
  - extended BuildRequires with gpgme-devel and bison.
* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
